> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vehicle Charging History

> Retrieve details of a vehicle charging session based on its unique ID.

**Parameters:**
- `vehicle_id`: The unique identifier (ID) of the vehicle associated with the charging session.
- `vehicle_charging_session_id`: The unique identifier (ID) of the vehicle charging session to retrieve.

**Returns:**
- Details of the vehicle charging session.

This endpoint allows you to retrieve details of a specific vehicle charging session based on its unique `vehicle_charging_session_id`.
The session details provide information about the charging start time, end time, energy consumption, and more.

**Note:**
- The `vehicle_id` should correspond to a valid and existing vehicle identifier.
- The `vehicle_charging_session_id` uniquely identifies an existing charging session.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR



## OpenAPI

````yaml get /v1/vehicles/{vehicle_id}/charging-history/{vehicle_charging_session_id}
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/{vehicle_id}/charging-history/{vehicle_charging_session_id}:
    get:
      tags:
        - Vehicle Charging History
      summary: Get Vehicle Charging History
      description: >-
        Retrieve details of a vehicle charging session based on its unique ID.


        **Parameters:**

        - `vehicle_id`: The unique identifier (ID) of the vehicle associated
        with the charging session.

        - `vehicle_charging_session_id`: The unique identifier (ID) of the
        vehicle charging session to retrieve.


        **Returns:**

        - Details of the vehicle charging session.


        This endpoint allows you to retrieve details of a specific vehicle
        charging session based on its unique `vehicle_charging_session_id`.

        The session details provide information about the charging start time,
        end time, energy consumption, and more.


        **Note:**

        - The `vehicle_id` should correspond to a valid and existing vehicle
        identifier.

        - The `vehicle_charging_session_id` uniquely identifies an existing
        charging session.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR
      operationId: >-
        get_vehicle_charging_history_v1_vehicles__vehicle_id__charging_history__vehicle_charging_session_id__get
      parameters:
        - name: vehicle_charging_session_id
          in: path
          required: true
          schema:
            type: string
            title: Vehicle charging history ID
            description: ID of the vehicle charging history.
          description: ID of the vehicle charging history.
        - name: vehicle_id
          in: path
          required: true
          schema:
            type: string
            title: Vehicle ID
            description: Unique internal identifier for the vehicle.
          description: Unique internal identifier for the vehicle.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleChargingSession'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    VehicleChargingSession:
      properties:
        id:
          type: string
          title: Id
        vehicleId:
          type: string
          title: Vehicleid
        startedAt:
          type: string
          format: date-time
          title: Startedat
        endedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endedat
        chargeDuration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chargeduration
        latitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Longitude
        kwhFromGrid:
          anyOf:
            - type: number
            - type: 'null'
          title: Kwhfromgrid
        kwhInHvb:
          anyOf:
            - type: number
            - type: 'null'
          title: Kwhinhvb
        startStateOfCharge:
          anyOf:
            - type: number
            - type: 'null'
          title: Startstateofcharge
        endStateOfCharge:
          anyOf:
            - type: number
            - type: 'null'
          title: Endstateofcharge
        externalTemperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Externaltemperature
        kwMedian:
          anyOf:
            - type: number
            - type: 'null'
          title: Kwmedian
      type: object
      required:
        - id
        - vehicleId
        - startedAt
        - endedAt
        - chargeDuration
        - latitude
        - longitude
        - kwhFromGrid
        - kwhInHvb
        - startStateOfCharge
        - endStateOfCharge
        - externalTemperature
        - kwMedian
      title: VehicleChargingSession
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````